Name: licq
Version: 0.76
Release: 1
Summary: An ICQ clone for online messaging.
Copyright: GPL
Group: Applications/Communications
URL: http://www.licq.org/
Source: http://www.licq.org/licq-%{version}.tar.gz
Source1: licq.wmconfig
Source2: licq.mini-icon.xpm
Patch: licq-conf.diff
Patch1: licq-0.76-alpha.patch
Requires: qt => 2.1.0
BuildRoot: /var/tmp/%{name}-%{version}

%description
Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set.  Licq supports all of the major features of ICQ,
including messaging, URLs, chat, file transfer, and user information.
Additionally, Licq is very configurable and supports skins and
different icon packs.

%prep
%setup -q -T -b 0
%patch -p 1
%patch1 -p1 -b .alpha

%build
export QTDIR=/usr/lib/qt-2.1.0
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
for i in plugins/*; do
  if -d $i; then
    ( cd $i;
      CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-qt-libraries=${QTDIR}/lib --with-qt-includes=${QTDIR}/include
    )
  fi
done
make -j 2
for i in plugins/*; do
  if -d $i; then
    make -j 2 -C $i
  fi
done

%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/usr" install
for i in plugins/*; do
  if -d $i; then
    make -C $i prefix="$RPM_BUILD_ROOT/usr" install
  fi
done
mkdir -p $RPM_BUILD_ROOT/{usr/share/icons/mini,etc/X11/wmconfig}
( cd plugins
  for i in *; do
    if [ -d $i/doc ]; then
      cp -a $i/doc ../doc/$i
    else
      mkdir ../doc/$i
    fi
    cp -f $i/README* ../doc/$i
  done
)
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/licq
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/licq-mini.xpm
mv $RPM_BUILD_ROOT/usr/bin/licq $RPM_BUILD_ROOT/usr/lib/licq/licq-bin
cat >$RPM_BUILD_ROOT/usr/bin/licq <<EOF
#!/bin/sh
PARAMETERS="\$*"
if ! echo \$PARAMETERS | grep "\-p"; then
	if test "x\$DISPLAY" = "x"; then
		PARAMETERS="\$PARAMETERS -p console"
	else
		PARAMETERS="\$PARAMETERS -p qt-gui"
	fi
fi
exec /usr/lib/licq/licq-bin \$PARAMETERS
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/licq

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc doc/*
%doc upgrade/*
%doc README*
%config /etc/X11/wmconfig/licq 
%attr(755,root,root) /usr/bin/licq
/usr/lib/licq
/usr/share/licq
/usr/share/icons/mini/licq-mini.xpm

%changelog
* Fri Feb 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.76
- remove %post
- rebuild with Qt 2.1.0-beta1
- enable console plugin, add a script to automatically detect whether or not
  we need to use it.

* Mon Feb  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.3a (some bugfixes)

* Wed Jan 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.3
- some spec file cleanups

* Sun Jan  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on Alpha

* Sun Jan  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use Qt 2.1.0, the version we're actually shipping

* Wed Nov 17 1999 Tim Powers <timp@redhat.com>
- moved configure portions to %build section, shouldn't be before that
- explicitely use qt-2.0.1 in configure
- rebuilt for Powertools
- export QTDIR

* Fri Nov 12 1999 Graham Roff <graham@licq.org>
- Upgraded to 0.71

* Thu Oct 28 1999 Graham Roff <graham@licq.org>
- fixed requirement to qt 2.0.2

* Mon Oct 25 1999 Graham Roff <graham@licq.org>
- modified for new distribution format
- upgraded to 0.70.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom
- using contrib|net spec now
- changed buildroot to /var/tmp
- rebuilt and put into powertools

* Wed Jun 18 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.70f-1]
- Upgraded to licq-0.70f with licq_qt-gui-0.64.1
- Updated URLs
- Added localization files

* Fri Mar 12 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Fixed Auto Away - Auto N/A problem.

* Tue Mar  9 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Incorporated numerous small changes inspired
by Graham Roff's (Licq author) version of the spec file

* Mon Feb 22 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.60-1]
- Added viewurl-*.sh to /usr/bin/

* Mon Dec 14 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-2]
- Updated the URL

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-1]
- Added SPEC file %defattr directive to enable non-root builds
- Changed SPEC file according to RHCN rules.

* Fri Oct 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 0.44
